affycomp.figures.auxiliary {affycomp} | R Documentation

## Auxiliary functions to create Figures

### Description

These functions are auxiliary function to `affycompPlot`. These Figures are used to assess an expression measure. They take components created by the `assessDilution` and `assessSpikeIn` functions.

### Usage

    affycomp.figure1(l,main="Figure 1",xlim=NULL,ylim=NULL)
    affycomp.figure1b(l,main="Figure 1b",xlim=NULL,ylim=NULL,cex=0.85,all=FALSE)
    affycomp.figure2(l,main="Figure 2")
    affycomp.figure2b(l,main="Figure 2b")
    affycomp.figure3(l, main = "Figure 3")
    affycomp.figure4a(l, main = "Figure 4a",equal.lims=FALSE)
    affycomp.figure4b(l, main = "Figure 4b")
    affycomp.figure4c(l, rotate=TRUE, main = "Figure 4c")
    affycomp.figure5a(l, main = "Figure 5a",maxfp=100)
    affycomp.figure5b(l, main = "Figure 5b",maxfp=100)
    affycomp.figure5c(l, main = "Figure 5c",maxfp=100)
    affycomp.figure5d(l, main = "Figure 5d",maxfp=100)
    affycomp.figure5e(l, main = "Figure 5e",maxfp=100)
    affycomp.figure6a(l, main = "Figure 6a",xlim = NULL, ylim = NULL)
    affycomp.figure6b(l, main = "Figure 6b",xlim = NULL, ylim = NULL)

### Arguments

`l` | A list with the necessary components to create the Figure. See details.
`main` | Title for the Figure.
`maxfp` | range of the false positives in ROC will be from 0 to `maxfp`
`xlim` | x-axis limits.
`ylim` | y-axis limits.
`cex` | size of numbers in figure 1b.
`all` | logical. If `TRUE` all spikeins are shown. Otherwise, only those resulting in smaller, realistic, fold changes are shown.
`equal.lims` | logical. If `TRUE` the limits of x-axis and y-axis will have same range.
`rotate` | in the case of compfig4c one can eiher show the actual local slopes or the bias (local slope minus 1).

### Details

Read the vignette for more details on what each Figure is. You can read `assessSpikeIn` and `assessDilution` to see which assessments are needed.

### Value

Figures are produced.

### Author(s)

Rafael A. Irizarry

### Examples

    data(rma.assessment)
    affycomp.figure1(rma.assessment$MA)
    affycomp.figure2(rma.assessment$Dilution)
    affycomp.figure3(rma.assessment$Dilution)
    affycomp.figure4a(rma.assessment$Signal)
    affycomp.figure4b(rma.assessment$Dilution)
    affycomp.figure5a(rma.assessment$FC)
    affycomp.figure5b(rma.assessment$FC2)
    affycomp.figure6a(rma.assessment$FC)
    affycomp.figure6b(rma.assessment$FC)

[Package affycomp version 1.14.0 Index]